From d5ee99c8bd0f15eb6c4720f82cb6cc4d20dbf8fd Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Dec 31 2020 00:14:52 +0000
Subject: [PATCH 1889/2232] Add test of `allow` attribute inside bridge


---

diff --git a/tests/ui/deny_missing_docs.rs b/tests/ui/deny_missing_docs.rs
index ee68ef1..037894b 100644
--- a/tests/ui/deny_missing_docs.rs
+++ b/tests/ui/deny_missing_docs.rs
@@ -56,6 +56,11 @@ pub mod ffi {
         /// ...
         pub fn documented_foreign_fn() -> u8;
     }
+
+    #[allow(missing_docs)]
+    pub struct SuppressUndocumentedStruct {
+        pub undocumented_field: u8,
+    }
 }
 
 struct UndocumentedRustType;
diff --git a/tests/ui/deny_missing_docs.stderr b/tests/ui/deny_missing_docs.stderr
index f31be34..40d9a07 100644
--- a/tests/ui/deny_missing_docs.stderr
+++ b/tests/ui/deny_missing_docs.stderr
@@ -1,49 +1,5 @@
-error: missing documentation for a struct
-  --> $DIR/deny_missing_docs.rs:11:5
+error: unsupported attribute
+  --> $DIR/deny_missing_docs.rs:60:5
    |
-11 |     pub struct UndocumentedStruct {
-   |     ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
-   |
-note: the lint level is defined here
-  --> $DIR/deny_missing_docs.rs:6:9
-   |
-6  | #![deny(missing_docs)]
-   |         ^^^^^^^^^^^^
-
-error: missing documentation for a struct field
-  --> $DIR/deny_missing_docs.rs:12:9
-   |
-12 |         pub undocumented_field: u8,
-   |         ^^^^^^^^^^^^^^^^^^^^^^^^^^
-
-error: missing documentation for a struct
- --> $DIR/deny_missing_docs.rs:9:1
-  |
-9 | #[cxx::bridge]
-  | ^^^^^^^^^^^^^^
-  |
-  = note: this error originates in an attribute macro (in Nightly builds, run with -Z macro-backtrace for more info)
-
-error: missing documentation for an associated constant
- --> $DIR/deny_missing_docs.rs:9:1
-  |
-9 | #[cxx::bridge]
-  | ^^^^^^^^^^^^^^
-  |
-  = note: this error originates in an attribute macro (in Nightly builds, run with -Z macro-backtrace for more info)
-
-error: missing documentation for a type alias
- --> $DIR/deny_missing_docs.rs:9:1
-  |
-9 | #[cxx::bridge]
-  | ^^^^^^^^^^^^^^
-  |
-  = note: this error originates in an attribute macro (in Nightly builds, run with -Z macro-backtrace for more info)
-
-error: missing documentation for a function
- --> $DIR/deny_missing_docs.rs:9:1
-  |
-9 | #[cxx::bridge]
-  | ^^^^^^^^^^^^^^
-  |
-  = note: this error originates in an attribute macro (in Nightly builds, run with -Z macro-backtrace for more info)
+60 |     #[allow(missing_docs)]
+   |     ^^^^^^^^^^^^^^^^^^^^^^

